## libpri 0.5.2

=== Makefile ===
#
# libpri: An implementation of Primary Rate ISDN
#
# Written by Mark Spencer <markster@linux-support.net>
#
# Copyright (C) 2001, Linux Support Services, Inc.
# All Rights Reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
#
#
# Uncomment if you want libpri not send PROGRESS_INDICATOR w/ALERTING
#ALERTING=-DALERTING_NO_PROGRESS

TOBJS=testpri.o
STATIC_LIBRARY=libpri.a
DYNAMIC_LIBRARY=libpri.so.1.0
STATIC_OBJS=pri.o q921.o prisched.o q931.o
DYNAMIC_OBJS=pri.lo q921.lo prisched.lo q931.lo
CFLAGS=-Wall -Werror -Wstrict-prototypes -Wmissing-prototypes -g $(ALERTING)
INSTALL_PREFIX=

all: $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)

update:
	@echo "Updating from CVS"
	@cvs update -d

install: $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)
	mkdir -p $(INSTALL_PREFIX)/usr/lib
	mkdir -p $(INSTALL_PREFIX)/usr/include
	install -m 644 libpri.h $(INSTALL_PREFIX)/usr/include
	install -m 755 $(DYNAMIC_LIBRARY) $(INSTALL_PREFIX)/usr/lib
	( cd $(INSTALL_PREFIX)/usr/lib ; ln -sf libpri.so.1 libpri.so )
	install -m 644 $(STATIC_LIBRARY) $(INSTALL_PREFIX)/usr/lib
	/sbin/ldconfig

uninstall:
	@echo "Removing Libpri"
	rm -f $(INSTALL_PREFIX)/usr/lib/libpri.so.1.0
	rm -f $(INSTALL_PREFIX)/usr/lib/libpri.so
	rm -f $(INSTALL_PREFIX)/usr/lib/libpri.a
	rm -f $(INSTALL_PREFIX)/usr/include/libpri.h

pritest: pritest.o
	$(CC) -o pritest pritest.o -L. -lpri -lzap

pridump: pridump.o
	$(CC) -o pridump pridump.o -L. -lpri -lzap

%.lo : %.c
	$(CC) -fPIC $(CFLAGS) -o $@ -c $<

$(STATIC_LIBRARY): $(STATIC_OBJS)
	ar rcs $(STATIC_LIBRARY) $(STATIC_OBJS)
	ranlib $(STATIC_LIBRARY)

$(DYNAMIC_LIBRARY): $(DYNAMIC_OBJS)
	$(CC) -shared -Wl,-soname,libpri.so.1 -o $@ $(DYNAMIC_OBJS)
	/sbin/ldconfig -n .
	ln -sf libpri.so.1 libpri.so

clean:
	rm -f *.o *.so *.lo *.so.1 *.so.1.0
	rm -f testpri $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)
	rm -f pritest pridump

## libpri 1.0.7

=== Makefile ===
--- 
+++ 
@@ -24,15 +24,38 @@
 # Uncomment if you want libpri not send PROGRESS_INDICATOR w/ALERTING
 #ALERTING=-DALERTING_NO_PROGRESS
 
+# Uncomment if you want libpri to count number of Q921/Q931 sent/received
+#LIBPRI_COUNTERS=-DLIBPRI_COUNTERS
+
+OSARCH=$(shell uname -s)
+PROC=$(shell uname -m)
+
 TOBJS=testpri.o
+T2OBJS=testprilib.o
 STATIC_LIBRARY=libpri.a
 DYNAMIC_LIBRARY=libpri.so.1.0
 STATIC_OBJS=pri.o q921.o prisched.o q931.o
 DYNAMIC_OBJS=pri.lo q921.lo prisched.lo q931.lo
-CFLAGS=-Wall -Werror -Wstrict-prototypes -Wmissing-prototypes -g $(ALERTING)
+CFLAGS=-Wall -Werror -Wstrict-prototypes -Wmissing-prototypes -g $(ALERTING) $(LIBPRI_COUNTERS)
 INSTALL_PREFIX=
+ifeq (${OSARCH},Linux)
+LDCONFIG_FLAGS=-n
+else
+ifeq (${OSARCH},FreeBSD)
+LDCONFIG_FLAGS=-m
+CFLAGS += -I../zaptel -I../zapata
+endif
+endif
 
-all: $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)
+#The problem with sparc is the best stuff is in newer versions of gcc (post 3.0) only.
+#This works for even old (2.96) versions of gcc and provides a small boost either way.
+#A ultrasparc cpu is really v9 but the stock debian stable 3.0 gcc doesnt support it.
+ifeq ($(PROC),sparc64)
+PROC=ultrasparc
+CFLAGS += -mtune=$(PROC) -O3 -pipe -fomit-frame-pointer -mcpu=v8
+endif
+
+all: depend $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)
 
 update:
 	@echo "Updating from CVS"
@@ -43,6 +66,7 @@
 	mkdir -p $(INSTALL_PREFIX)/usr/include
 	install -m 644 libpri.h $(INSTALL_PREFIX)/usr/include
 	install -m 755 $(DYNAMIC_LIBRARY) $(INSTALL_PREFIX)/usr/lib
+	if [ -x /usr/sbin/sestatus ] && ( /usr/sbin/sestatus | grep "SELinux status:" | grep -q "enabled"); then  restorecon -v $(INSTALL_PREFIX)/$(INSTALL_BASE)/lib/$(DYNAMIC_LIBRARY); fi
 	( cd $(INSTALL_PREFIX)/usr/lib ; ln -sf libpri.so.1 libpri.so )
 	install -m 644 $(STATIC_LIBRARY) $(INSTALL_PREFIX)/usr/lib
 	/sbin/ldconfig
@@ -55,10 +79,18 @@
 	rm -f $(INSTALL_PREFIX)/usr/include/libpri.h
 
 pritest: pritest.o
-	$(CC) -o pritest pritest.o -L. -lpri -lzap
+	$(CC) -o pritest pritest.o -L. -lpri -lzap $(CFLAGS)
+
+testprilib.o: testprilib.c
+	$(CC) $(CFLAGS) -D_REENTRANT -D_GNU_SOURCE -o $@ -c $<
+
+testprilib: testprilib.o
+	$(CC) -o testprilib testprilib.o -L. -lpri -lpthread $(CFLAGS)
 
 pridump: pridump.o
-	$(CC) -o pridump pridump.o -L. -lpri -lzap
+	$(CC) -o pridump pridump.o -L. -lpri -lzap $(CFLAGS)
+
+include .depend
 
 %.lo : %.c
 	$(CC) -fPIC $(CFLAGS) -o $@ -c $<
@@ -69,10 +101,16 @@
 
 $(DYNAMIC_LIBRARY): $(DYNAMIC_OBJS)
 	$(CC) -shared -Wl,-soname,libpri.so.1 -o $@ $(DYNAMIC_OBJS)
-	/sbin/ldconfig -n .
+	/sbin/ldconfig $(LDCONFIG_FLAGS) .
 	ln -sf libpri.so.1 libpri.so
 
 clean:
 	rm -f *.o *.so *.lo *.so.1 *.so.1.0
-	rm -f testpri $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)
+	rm -f testpri testprilib $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)
 	rm -f pritest pridump
+	rm -f .depend
+
+depend: .depend
+
+.depend: 
+	./mkdep ${CFLAGS} `ls *.c`

## libpri 1.2.2

=== Makefile ===
--- 
+++ 
@@ -27,17 +27,22 @@
 # Uncomment if you want libpri to count number of Q921/Q931 sent/received
 #LIBPRI_COUNTERS=-DLIBPRI_COUNTERS
 
+CC=gcc
+
 OSARCH=$(shell uname -s)
-PROC=$(shell uname -m)
+PROC?=$(shell uname -m)
 
 TOBJS=testpri.o
 T2OBJS=testprilib.o
 STATIC_LIBRARY=libpri.a
 DYNAMIC_LIBRARY=libpri.so.1.0
-STATIC_OBJS=pri.o q921.o prisched.o q931.o
-DYNAMIC_OBJS=pri.lo q921.lo prisched.lo q931.lo
+STATIC_OBJS=copy_string.o pri.o q921.o prisched.o q931.o pri_facility.o
+DYNAMIC_OBJS=copy_string.lo pri.lo q921.lo prisched.lo q931.lo pri_facility.lo
 CFLAGS=-Wall -Werror -Wstrict-prototypes -Wmissing-prototypes -g $(ALERTING) $(LIBPRI_COUNTERS)
-INSTALL_PREFIX=
+INSTALL_PREFIX?=
+INSTALL_BASE=/usr
+SOFLAGS = -Wl,-hlibpri.so.1.0
+LDCONFIG = /sbin/ldconfig
 ifeq (${OSARCH},Linux)
 LDCONFIG_FLAGS=-n
 else
@@ -45,6 +50,13 @@
 LDCONFIG_FLAGS=-m
 CFLAGS += -I../zaptel -I../zapata
 endif
+endif
+ifeq (${OSARCH},SunOS)
+CFLAGS += -DSOLARIS -I../zaptel-solaris
+LDCONFIG = 
+LDCONFIG_FLAGS = \# # Trick to comment out the period in the command below
+SOSLINK = ln -sf libpri.so.1.0 libpri.so.1
+#INSTALL_PREFIX = /opt/asterisk  # Uncomment out to install in standard Solaris location for 3rd party code
 endif
 
 #The problem with sparc is the best stuff is in newer versions of gcc (post 3.0) only.
@@ -58,25 +70,40 @@
 all: depend $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)
 
 update:
-	@echo "Updating from CVS"
-	@cvs update -d
+	@if [ -d .svn ]; then \
+		echo "Updating from Subversion..." ; \
+		svn update -q; \
+	elif [ -d CVS ]; then \
+		echo "Updating from CVS..." ; \
+		cvs -q -z3 update -Pd; \
+	else \
+		echo "Not under version control";  \
+	fi
 
 install: $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)
-	mkdir -p $(INSTALL_PREFIX)/usr/lib
-	mkdir -p $(INSTALL_PREFIX)/usr/include
-	install -m 644 libpri.h $(INSTALL_PREFIX)/usr/include
-	install -m 755 $(DYNAMIC_LIBRARY) $(INSTALL_PREFIX)/usr/lib
-	if [ -x /usr/sbin/sestatus ] && ( /usr/sbin/sestatus | grep "SELinux status:" | grep -q "enabled"); then  restorecon -v $(INSTALL_PREFIX)/$(INSTALL_BASE)/lib/$(DYNAMIC_LIBRARY); fi
-	( cd $(INSTALL_PREFIX)/usr/lib ; ln -sf libpri.so.1 libpri.so )
-	install -m 644 $(STATIC_LIBRARY) $(INSTALL_PREFIX)/usr/lib
-	/sbin/ldconfig
+	mkdir -p $(INSTALL_PREFIX)$(INSTALL_BASE)/lib
+	mkdir -p $(INSTALL_PREFIX)$(INSTALL_BASE)/include
+ifneq (${OSARCH},SunOS)
+	install -m 644 libpri.h $(INSTALL_PREFIX)$(INSTALL_BASE)/include
+	install -m 755 $(DYNAMIC_LIBRARY) $(INSTALL_PREFIX)$(INSTALL_BASE)/lib
+	if [ -x /usr/sbin/sestatus ] && ( /usr/sbin/sestatus | grep "SELinux status:" | grep -q "enabled"); then  restorecon -v $(INSTALL_PREFIX)$(INSTALL_BASE)/lib/$(DYNAMIC_LIBRARY); fi
+	( cd $(INSTALL_PREFIX)$(INSTALL_BASE)/lib ; ln -sf libpri.so.1.0 libpri.so ; ln -sf libpri.so.1.0 libpri.so.1 )
+	install -m 644 $(STATIC_LIBRARY) $(INSTALL_PREFIX)$(INSTALL_BASE)/lib
+	if test $$(id -u) = 0; then $(LDCONFIG); fi
+else
+	install -f $(INSTALL_PREFIX)$(INSTALL_BASE)/include -m 644 libpri.h
+	install -f $(INSTALL_PREFIX)$(INSTALL_BASE)/lib -m 755 $(DYNAMIC_LIBRARY)
+	( cd $(INSTALL_PREFIX)$(INSTALL_BASE)/lib ; ln -sf libpri.so.1.0 libpri.so ; $(SOSLINK) )
+	install -f $(INSTALL_PREFIX)$(INSTALL_BASE)/lib -m 644 $(STATIC_LIBRARY)
+endif
 
 uninstall:
 	@echo "Removing Libpri"
-	rm -f $(INSTALL_PREFIX)/usr/lib/libpri.so.1.0
-	rm -f $(INSTALL_PREFIX)/usr/lib/libpri.so
-	rm -f $(INSTALL_PREFIX)/usr/lib/libpri.a
-	rm -f $(INSTALL_PREFIX)/usr/include/libpri.h
+	rm -f $(INSTALL_PREFIX)$(INSTALL_BASE)/lib/libpri.so.1.0
+	rm -f $(INSTALL_PREFIX)$(INSTALL_BASE)/lib/libpri.so.1
+	rm -f $(INSTALL_PREFIX)$(INSTALL_BASE)/lib/libpri.so
+	rm -f $(INSTALL_PREFIX)$(INSTALL_BASE)/lib/libpri.a
+	rm -f $(INSTALL_PREFIX)$(INSTALL_BASE)/include/libpri.h
 
 pritest: pritest.o
 	$(CC) -o pritest pritest.o -L. -lpri -lzap $(CFLAGS)
@@ -88,9 +115,11 @@
 	$(CC) -o testprilib testprilib.o -L. -lpri -lpthread $(CFLAGS)
 
 pridump: pridump.o
-	$(CC) -o pridump pridump.o -L. -lpri -lzap $(CFLAGS)
+	$(CC) -o pridump pridump.o -L. -lpri $(CFLAGS)
 
+ifneq ($(wildcard .depend),)
 include .depend
+endif
 
 %.lo : %.c
 	$(CC) -fPIC $(CFLAGS) -o $@ -c $<
@@ -100,9 +129,11 @@
 	ranlib $(STATIC_LIBRARY)
 
 $(DYNAMIC_LIBRARY): $(DYNAMIC_OBJS)
-	$(CC) -shared -Wl,-soname,libpri.so.1 -o $@ $(DYNAMIC_OBJS)
-	/sbin/ldconfig $(LDCONFIG_FLAGS) .
-	ln -sf libpri.so.1 libpri.so
+	$(CC) -shared $(SOFLAGS) -o $@ $(DYNAMIC_OBJS)
+	$(LDCONFIG) $(LDCONFIG_FLAGS) .
+	ln -sf libpri.so.1.0 libpri.so
+	ln -sf libpri.so.1.0 libpri.so.1
+	$(SOSLINK)
 
 clean:
 	rm -f *.o *.so *.lo *.so.1 *.so.1.0
@@ -113,4 +144,4 @@
 depend: .depend
 
 .depend: 
-	./mkdep ${CFLAGS} `ls *.c`
+	CC=$(CC) ./mkdep ${CFLAGS} `ls *.c`

## libpri 1.2.4

=== Makefile ===
--- 
+++ 
@@ -39,11 +39,11 @@
 STATIC_OBJS=copy_string.o pri.o q921.o prisched.o q931.o pri_facility.o
 DYNAMIC_OBJS=copy_string.lo pri.lo q921.lo prisched.lo q931.lo pri_facility.lo
 CFLAGS=-Wall -Werror -Wstrict-prototypes -Wmissing-prototypes -g $(ALERTING) $(LIBPRI_COUNTERS)
-INSTALL_PREFIX?=
+INSTALL_PREFIX=$(DESTDIR)
 INSTALL_BASE=/usr
 SOFLAGS = -Wl,-hlibpri.so.1.0
 LDCONFIG = /sbin/ldconfig
-ifeq (${OSARCH},Linux)
+ifneq (,$(findstring $(OSARCH), Linux GNU/kFreeBSD))
 LDCONFIG_FLAGS=-n
 else
 ifeq (${OSARCH},FreeBSD)
@@ -89,7 +89,7 @@
 	if [ -x /usr/sbin/sestatus ] && ( /usr/sbin/sestatus | grep "SELinux status:" | grep -q "enabled"); then  restorecon -v $(INSTALL_PREFIX)$(INSTALL_BASE)/lib/$(DYNAMIC_LIBRARY); fi
 	( cd $(INSTALL_PREFIX)$(INSTALL_BASE)/lib ; ln -sf libpri.so.1.0 libpri.so ; ln -sf libpri.so.1.0 libpri.so.1 )
 	install -m 644 $(STATIC_LIBRARY) $(INSTALL_PREFIX)$(INSTALL_BASE)/lib
-	if test $$(id -u) = 0; then $(LDCONFIG); fi
+	if test $$(id -u) = 0; then $(LDCONFIG) $(LDCONFIG_FLAGS) $(INSTALL_PREFIX)$(INSTALL_BASE)/lib; fi
 else
 	install -f $(INSTALL_PREFIX)$(INSTALL_BASE)/include -m 644 libpri.h
 	install -f $(INSTALL_PREFIX)$(INSTALL_BASE)/lib -m 755 $(DYNAMIC_LIBRARY)

## libpri 1.4.0

=== Makefile ===
--- 
+++ 
@@ -32,8 +32,6 @@
 OSARCH=$(shell uname -s)
 PROC?=$(shell uname -m)
 
-TOBJS=testpri.o
-T2OBJS=testprilib.o
 STATIC_LIBRARY=libpri.a
 DYNAMIC_LIBRARY=libpri.so.1.0
 STATIC_OBJS=copy_string.o pri.o q921.o prisched.o q931.o pri_facility.o
@@ -43,12 +41,13 @@
 INSTALL_BASE=/usr
 SOFLAGS = -Wl,-hlibpri.so.1.0
 LDCONFIG = /sbin/ldconfig
-ifneq (,$(findstring $(OSARCH), Linux GNU/kFreeBSD))
+ifneq (,$(findstring X$(OSARCH)X, XLinuxX XGNU/kFreeBSDX))
 LDCONFIG_FLAGS=-n
 else
 ifeq (${OSARCH},FreeBSD)
 LDCONFIG_FLAGS=-m
 CFLAGS += -I../zaptel -I../zapata
+INSTALL_BASE=/usr/local
 endif
 endif
 ifeq (${OSARCH},SunOS)
@@ -73,9 +72,6 @@
 	@if [ -d .svn ]; then \
 		echo "Updating from Subversion..." ; \
 		svn update -q; \
-	elif [ -d CVS ]; then \
-		echo "Updating from CVS..." ; \
-		cvs -q -z3 update -Pd; \
 	else \
 		echo "Not under version control";  \
 	fi
@@ -137,7 +133,7 @@
 
 clean:
 	rm -f *.o *.so *.lo *.so.1 *.so.1.0
-	rm -f testpri testprilib $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)
+	rm -f testprilib $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)
 	rm -f pritest pridump
 	rm -f .depend

## libpri 1.4.2

=== Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 DYNAMIC_LIBRARY=libpri.so.1.0
 STATIC_OBJS=copy_string.o pri.o q921.o prisched.o q931.o pri_facility.o
 DYNAMIC_OBJS=copy_string.lo pri.lo q921.lo prisched.lo q931.lo pri_facility.lo
-CFLAGS=-Wall -Werror -Wstrict-prototypes -Wmissing-prototypes -g $(ALERTING) $(LIBPRI_COUNTERS)
+CFLAGS=-Wall -Werror -Wstrict-prototypes -Wmissing-prototypes -g -fPIC $(ALERTING) $(LIBPRI_COUNTERS)
 INSTALL_PREFIX=$(DESTDIR)
 INSTALL_BASE=/usr
 SOFLAGS = -Wl,-hlibpri.so.1.0
@@ -82,7 +82,7 @@
 ifneq (${OSARCH},SunOS)
 	install -m 644 libpri.h $(INSTALL_PREFIX)$(INSTALL_BASE)/include
 	install -m 755 $(DYNAMIC_LIBRARY) $(INSTALL_PREFIX)$(INSTALL_BASE)/lib
-	if [ -x /usr/sbin/sestatus ] && ( /usr/sbin/sestatus | grep "SELinux status:" | grep -q "enabled"); then  restorecon -v $(INSTALL_PREFIX)$(INSTALL_BASE)/lib/$(DYNAMIC_LIBRARY); fi
+	if [ -x /usr/sbin/sestatus ] && ( /usr/sbin/sestatus | grep "SELinux status:" | grep -q "enabled"); then /sbin/restorecon -v $(INSTALL_PREFIX)$(INSTALL_BASE)/lib/$(DYNAMIC_LIBRARY); fi
 	( cd $(INSTALL_PREFIX)$(INSTALL_BASE)/lib ; ln -sf libpri.so.1.0 libpri.so ; ln -sf libpri.so.1.0 libpri.so.1 )
 	install -m 644 $(STATIC_LIBRARY) $(INSTALL_PREFIX)$(INSTALL_BASE)/lib
 	if test $$(id -u) = 0; then $(LDCONFIG) $(LDCONFIG_FLAGS) $(INSTALL_PREFIX)$(INSTALL_BASE)/lib; fi
@@ -118,7 +118,7 @@
 endif
 
 %.lo : %.c
-	$(CC) -fPIC $(CFLAGS) -o $@ -c $<
+	$(CC) $(CFLAGS) -o $@ -c $<
 
 $(STATIC_LIBRARY): $(STATIC_OBJS)
 	ar rcs $(STATIC_LIBRARY) $(STATIC_OBJS)
@@ -140,4 +140,4 @@
 depend: .depend
 
 .depend: 
-	CC=$(CC) ./mkdep ${CFLAGS} `ls *.c`
+	CC="$(CC)" ./mkdep ${CFLAGS} `ls *.c`

## libpri 1.4.10

=== Makefile ===
#
# libpri: An implementation of Primary Rate ISDN
#
# Written by Mark Spencer <markster@linux-support.net>
#
# Copyright (C) 2001, Linux Support Services, Inc.
# All Rights Reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
#
#
# Uncomment if you want libpri not send PROGRESS_INDICATOR w/ALERTING
#ALERTING=-DALERTING_NO_PROGRESS

# Uncomment if you want libpri to count number of Q921/Q931 sent/received
#LIBPRI_COUNTERS=-DLIBPRI_COUNTERS

CC=gcc
GREP=grep
AWK=awk

OSARCH=$(shell uname -s)
PROC?=$(shell uname -m)

# SONAME version; should be changed on every ABI change
# please don't change it needlessly; it's perfectly fine to have a SONAME
# of 1.2 and a version of 1.4.x
SONAME:=1.4

STATIC_LIBRARY=libpri.a
DYNAMIC_LIBRARY:=libpri.so.$(SONAME)
STATIC_OBJS=copy_string.o pri.o q921.o prisched.o q931.o pri_facility.o version.o
DYNAMIC_OBJS=copy_string.lo pri.lo q921.lo prisched.lo q931.lo pri_facility.lo version.lo
CFLAGS=-Wall -Werror -Wstrict-prototypes -Wmissing-prototypes -g -fPIC $(ALERTING) $(LIBPRI_COUNTERS)
INSTALL_PREFIX=$(DESTDIR)
INSTALL_BASE=/usr
libdir?=$(INSTALL_BASE)/lib
SOFLAGS:=-Wl,-h$(DYNAMIC_LIBRARY)
LDCONFIG = /sbin/ldconfig
ifneq (,$(findstring X$(OSARCH)X, XLinuxX XGNU/kFreeBSDX))
LDCONFIG_FLAGS=-n
else
ifeq (${OSARCH},FreeBSD)
LDCONFIG_FLAGS=-m
CFLAGS += -I../zaptel -I../zapata
INSTALL_BASE=/usr/local
endif
endif
ifeq (${OSARCH},SunOS)
CFLAGS += -DSOLARIS -I../zaptel-solaris
LDCONFIG = 
LDCONFIG_FLAGS = \# # Trick to comment out the period in the command below
#INSTALL_PREFIX = /opt/asterisk  # Uncomment out to install in standard Solaris location for 3rd party code
endif

export PRIVERSION

PRIVERSION:=$(shell GREP=$(GREP) AWK=$(AWK) build_tools/make_version .)

#The problem with sparc is the best stuff is in newer versions of gcc (post 3.0) only.
#This works for even old (2.96) versions of gcc and provides a small boost either way.
#A ultrasparc cpu is really v9 but the stock debian stable 3.0 gcc doesnt support it.
ifeq ($(PROC),sparc64)
PROC=ultrasparc
CFLAGS += -mtune=$(PROC) -O3 -pipe -fomit-frame-pointer -mcpu=v8
endif

all: $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)

update:
	@if [ -d .svn ]; then \
		echo "Updating from Subversion..." ; \
		fromrev="`svn info | $(AWK) '/Revision: / {print $$2}'`"; \
		svn update | tee update.out; \
		torev="`svn info | $(AWK) '/Revision: / {print $$2}'`"; \
		echo "`date`  Updated from revision $${fromrev} to $${torev}." >> update.log; \
		rm -f .version; \
		if [ `grep -c ^C update.out` -gt 0 ]; then \
			echo ; echo "The following files have conflicts:" ; \
			grep ^C update.out | cut -b4- ; \
		fi ; \
		rm -f update.out; \
	else \
		echo "Not under version control";  \
	fi

install: $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)
	mkdir -p $(INSTALL_PREFIX)$(libdir)
	mkdir -p $(INSTALL_PREFIX)$(INSTALL_BASE)/include
ifneq (${OSARCH},SunOS)
	install -m 644 libpri.h $(INSTALL_PREFIX)$(INSTALL_BASE)/include
	install -m 755 $(DYNAMIC_LIBRARY) $(INSTALL_PREFIX)$(libdir)
	if [ -x /usr/sbin/sestatus ] && ( /usr/sbin/sestatus | grep "SELinux status:" | grep -q "enabled"); then /sbin/restorecon -v $(INSTALL_PREFIX)$(libdir)/$(DYNAMIC_LIBRARY); fi
	( cd $(INSTALL_PREFIX)$(libdir) ; ln -sf libpri.so.$(SONAME) libpri.so)
	install -m 644 $(STATIC_LIBRARY) $(INSTALL_PREFIX)$(libdir)
	if test $$(id -u) = 0; then $(LDCONFIG) $(LDCONFIG_FLAGS) $(INSTALL_PREFIX)$(libdir); fi
else
	install -f $(INSTALL_PREFIX)$(INSTALL_BASE)/include -m 644 libpri.h
	install -f $(INSTALL_PREFIX)$(libdir) -m 755 $(DYNAMIC_LIBRARY)
	( cd $(INSTALL_PREFIX)$(libdir) ; ln -sf libpri.so.$(SONAME) libpri.so)
	install -f $(INSTALL_PREFIX)$(libdir) -m 644 $(STATIC_LIBRARY)
endif

uninstall:
	@echo "Removing Libpri"
	rm -f $(INSTALL_PREFIX)$(libdir)/libpri.so.$(SONAME)
	rm -f $(INSTALL_PREFIX)$(libdir)/libpri.so
	rm -f $(INSTALL_PREFIX)$(libdir)/libpri.a
	rm -f $(INSTALL_PREFIX)$(INSTALL_BASE)/include/libpri.h

pritest: pritest.o
	$(CC) -o pritest pritest.o -L. -lpri -lzap $(CFLAGS)

testprilib.o: testprilib.c
	$(CC) $(CFLAGS) -D_REENTRANT -D_GNU_SOURCE -o $@ -c $<

testprilib: testprilib.o
	$(CC) -o testprilib testprilib.o -L. -lpri -lpthread $(CFLAGS)

pridump: pridump.o
	$(CC) -o pridump pridump.o -L. -lpri $(CFLAGS)

MAKE_DEPS= -MD -MT $@ -MF .$(subst /,_,$@).d -MP

%.o: %.c
	$(CC) $(CFLAGS) $(MAKE_DEPS) -c -o $@ $<

%.lo: %.c
	$(CC) $(CFLAGS) $(MAKE_DEPS) -c -o $@ $<

$(STATIC_LIBRARY): $(STATIC_OBJS)
	ar rcs $(STATIC_LIBRARY) $(STATIC_OBJS)
	ranlib $(STATIC_LIBRARY)

$(DYNAMIC_LIBRARY): $(DYNAMIC_OBJS)
	$(CC) -shared $(SOFLAGS) -o $@ $(DYNAMIC_OBJS)
	$(LDCONFIG) $(LDCONFIG_FLAGS) .
	ln -sf libpri.so.$(SONAME) libpri.so

version.c: FORCE
	@build_tools/make_version_c > $@.tmp
	@cmp -s $@.tmp $@ || mv $@.tmp $@
	@rm -f $@.tmp

clean:
	rm -f *.o *.so *.lo *.so.$(SONAME)
	rm -f testprilib $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)
	rm -f pritest pridump
	rm -f .*.d

.PHONY:

FORCE:

ifneq ($(wildcard .*.d),)
   include .*.d
endif

## libpri 1.4.11.2

=== debian/changelog ===
libpri (1.4.11.2-1) unstable; urgency=low

  * New upstream bugfix release.
  - Patch fix-inband-bri removed: merged upstream.
  * Update my address to @debian.org.

 -- Tzafrir Cohen <tzafrir@debian.org>  Tue, 08 Jun 2010 21:56:54 +0300

libpri (1.4.11-1) unstable; urgency=low

  * New upstream release.
  * Drop patch osarch_hurd, merged upstream.
  * Update enable-gcc-optimizations.
  * Use a symbol file for library versioning since this version added lots of
    them. Import and properly tag 1.4.10 & 1.4.11 symbols.
  * Bump Standards-Version to 3.8.4.
  * Switch to 3.0 (quilt) source package format and drop quilt dependency.
  * Switch from cdbs to dh from debhelper 7.
  * Switch to downloads.asterisk.org instead of the obsolete
    downloads.digium.com in the watch file.

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 27 May 2010 04:27:05 +0300

libpri (1.4.10.2-2) unstable; urgency=low

  * Convert dpatch to quilt. 

 -- Tzafrir Cohen <tzafrir.cohen@xorcom.com>  Thu, 03 Dec 2009 13:27:59 +0200

libpri (1.4.10.2-1) unstable; urgency=low

  * New upstream release (Closes: #551820)
    - fixes improper Q.921 link operation
  * Add basic debian/README.source

 -- Mark Purcell <msp@debian.org>  Wed, 21 Oct 2009 10:03:25 +1100

libpri (1.4.10.1-1) unstable; urgency=low

  * New upstream release 

  [ Tzafrir Cohen ]
  * Patch osarch_hurd: Fix building on HURD.

  [ Faidon Liambotis ]
  * Add a fix for the inbanddisconnection setting on BRIs.

 -- Mark Purcell <msp@debian.org>  Wed, 14 Oct 2009 07:46:11 +1100

libpri (1.4.10-1) unstable; urgency=low

  [ Tzafrir Cohen ]
  * New upstream release.
    - (Closes: #492867): "libpri - new upstream version"
    - bug fixes related to handling of BRI PTMP links

 -- Mark Purcell <msp@debian.org>  Fri, 24 Apr 2009 00:37:46 +1000

libpri (1.4.9-2) unstable; urgency=low

  * Upload to unstable
    - pkg-voip transition discussed on debian-release
  * Drop oldstable Conflicts: libpri1.2

 -- Mark Purcell <msp@debian.org>  Thu, 02 Apr 2009 22:03:13 +1100

libpri (1.4.9-1) experimental; urgency=low

  [ Tzafrir Cohen ]
  * New upstream version.
  * Dropping bristuff for now.
  * NEW package libpri1.4 SONAME is now 1.4 . Changed package name accordingly

  [ Victor Seva ]
  * debian/rules: Update upstream's URL.

  [ Mark Purcell ]
  * Update debian/watch
  * Switch back to cdbs (allows -j2 and others)
  * debian/compact -> 7
  * Update debian/copyright GPL-2 only
  * Upload to experimental while we coordinate transition debian-release & NEW

 -- Mark Purcell <msp@debian.org>  Sun, 22 Mar 2009 22:00:07 +1100

libpri (1.4.3-3) unstable; urgency=low

  [ Tzafrir Cohen ]
  * Fix layer 2 startup bugs (e.g. resume from cable disconnect) on BRI lines:
    - When getting a SABME/UA after sending one, don't reset state.
    - Don't further process an unassigned TEI event.
  * Bump standards version to 3.8.0 .

  [ Victor Seva ]
  * debian/rules: fix get-orig-source to actually work

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 19 Oct 2008 20:12:39 +0300

libpri (1.4.3-2) unstable; urgency=low

  * Update to bristuff 0.4.0-RC1
    - fixed "call reference exceeds 127 on BRI spans" bug in libpri
      which caused a deadlock in chan_zap.
    - fixed "t303 not stopped" bug in libpri.
  * Add Junghanns.NET GmbH to the copyright holders in debian/copyright.
  * Refer to /usr/share/common-licenses/GPL-2 to avoid ambiguity vs. GPLv3.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 21 May 2008 03:33:52 +0300

libpri (1.4.3-1) unstable; urgency=low

  [ Mark Purcell ]
  * New upstream release

  [ Tzafrir Cohen ]
  * Watching downloads.digium.com directly again. 

 -- Mark Purcell <msp@debian.org>  Tue, 22 Apr 2008 22:49:51 +1000

libpri (1.4.2-2) unstable; urgency=low

  [ Faidon Liambotis ]
  * Fix debian/watch by using a pkg-voip wrapper to avoid upstream's silly
    redirections. (Closes: #449956)
  * Bump Standards-Version to 3.7.3, no changed needed. 
  * Remove Jose Carlos Garcia Sogo and Santiago Garcia Mantinan from
    Uploaders.

  [ Tzafrir Cohen ]
  * Reset T303 timer on ALERTING and PROGRESS response to setup, from
    bristuff 0.4.0-test6-xr2 (Closes: #473550).

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 01 Apr 2008 07:04:33 +0300

libpri (1.4.2-1) unstable; urgency=low

  [ Kilian Krause ]
  * Add Homepage field as added in dpkg-dev 1.14.6.

  [ Tzafrir Cohen ]
  * New upstream release.
  * Update bristuff to new upstream release.
  * Update makefile patches to new upstream.
  * Do build bristuffed version as well with -Werror .
  * Fix an uninitialized variable there.
  * BRI overlap digits were ignored - regression from 1.2 (Closes: #448118).

  [ Faidon Liambotis ]
  * Include <stddef.h> since <sys/time.h> doesn't include it anymore.
    Fixes FTBFS (Closes: #453161).

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 29 Nov 2007 10:32:50 +0000

libpri (1.4.1-2) unstable; urgency=low

  * Enable -O2 optimizations, following Policy 10.1. (Closes: #359186)
  * Conflict with libpri1.2 versions prior to 1.4.0-2 to ease transition for
    testing and unstable users. (Closes: #437804)

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 15 Aug 2007 01:11:16 +0300

libpri (1.4.1-1) unstable; urgency=low

  * New Upstream Release

  [ Tzafrir Cohen ]
  * Re-Adding bristuff.
  * Which requires re-applying and fixing libname.dpatch .

  [ Faidon Liambotis ]
  * Add myself to Uploaders.
  * Add XS-Vcs-Svn and XS-Vcs-Browser to debian/control.
  * Switch to dh_install from the deprecated dh_movefiles.
  * Use ${binary:Version} instead of ${Source-Version}.
  * Loosen up shlibs: we want to create shlibs that are >= 1.4, not the
    specific version of libpri 1.4 (e.g. 1.4.1).
  * Conflict/Replace libpri1.2 from etch since we're providing the same files.

  [ Mark Purcell ]
  * Bump package name to match soname libpri1.0

 -- Mark Purcell <msp@debian.org>  Sat, 04 Aug 2007 09:41:50 +0100

libpri (1.4.0-2) unstable; urgency=low

  * unstable release



## libpri 1.4.11.3

=== Makefile ===
--- 
+++ 
@@ -41,15 +41,55 @@
 
 STATIC_LIBRARY=libpri.a
 DYNAMIC_LIBRARY:=libpri.so.$(SONAME)
-STATIC_OBJS=copy_string.o pri.o q921.o prisched.o q931.o pri_facility.o version.o
-DYNAMIC_OBJS=copy_string.lo pri.lo q921.lo prisched.lo q931.lo pri_facility.lo version.lo
-CFLAGS=-Wall -Werror -Wstrict-prototypes -Wmissing-prototypes -g -fPIC $(ALERTING) $(LIBPRI_COUNTERS)
+STATIC_OBJS= \
+	copy_string.o \
+	pri.o \
+	q921.o \
+	prisched.o \
+	q931.o \
+	pri_facility.o \
+	asn1_primitive.o \
+	rose.o \
+	rose_address.o \
+	rose_etsi_aoc.o \
+	rose_etsi_diversion.o \
+	rose_etsi_ect.o \
+	rose_other.o \
+	rose_q931.o \
+	rose_qsig_aoc.o \
+	rose_qsig_ct.o \
+	rose_qsig_diversion.o \
+	rose_qsig_mwi.o \
+	rose_qsig_name.o \
+	version.o
+DYNAMIC_OBJS= \
+	copy_string.lo \
+	pri.lo \
+	q921.lo \
+	prisched.lo \
+	q931.lo \
+	pri_facility.lo \
+	asn1_primitive.lo \
+	rose.lo \
+	rose_address.lo \
+	rose_etsi_aoc.lo \
+	rose_etsi_diversion.lo \
+	rose_etsi_ect.lo \
+	rose_other.lo \
+	rose_q931.lo \
+	rose_qsig_aoc.lo \
+	rose_qsig_ct.lo \
+	rose_qsig_diversion.lo \
+	rose_qsig_mwi.lo \
+	rose_qsig_name.lo \
+	version.lo
+CFLAGS=-Wall -Werror -Wstrict-prototypes -Wmissing-prototypes -g -fPIC $(ALERTING) $(LIBPRI_COUNTERS) $(LIBPRI_OPT)
 INSTALL_PREFIX=$(DESTDIR)
 INSTALL_BASE=/usr
 libdir?=$(INSTALL_BASE)/lib
 SOFLAGS:=-Wl,-h$(DYNAMIC_LIBRARY)
 LDCONFIG = /sbin/ldconfig
-ifneq (,$(findstring X$(OSARCH)X, XLinuxX XGNU/kFreeBSDX))
+ifneq (,$(findstring X$(OSARCH)X, XLinuxX XGNU/kFreeBSDX XGNUX))
 LDCONFIG_FLAGS=-n
 else
 ifeq (${OSARCH},FreeBSD)
@@ -74,7 +114,14 @@
 #A ultrasparc cpu is really v9 but the stock debian stable 3.0 gcc doesnt support it.
 ifeq ($(PROC),sparc64)
 PROC=ultrasparc
-CFLAGS += -mtune=$(PROC) -O3 -pipe -fomit-frame-pointer -mcpu=v8
+LIBPRI_OPT = -mtune=$(PROC) -O3 -pipe -fomit-frame-pointer -mcpu=v8
+else
+LIBPRI_OPT = -O2
+endif
+
+ifeq ($(CPUARCH),i686)
+CFLAGS += -m32
+SOFLAGS += -m32
 endif
 
 all: $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)
@@ -102,7 +149,7 @@
 ifneq (${OSARCH},SunOS)
 	install -m 644 libpri.h $(INSTALL_PREFIX)$(INSTALL_BASE)/include
 	install -m 755 $(DYNAMIC_LIBRARY) $(INSTALL_PREFIX)$(libdir)
-	if [ -x /usr/sbin/sestatus ] && ( /usr/sbin/sestatus | grep "SELinux status:" | grep -q "enabled"); then /sbin/restorecon -v $(INSTALL_PREFIX)$(libdir)/$(DYNAMIC_LIBRARY); fi
+	#if [ -x /usr/sbin/sestatus ] && ( /usr/sbin/sestatus | grep "SELinux status:" | grep -q "enabled"); then /sbin/restorecon -v $(INSTALL_PREFIX)$(libdir)/$(DYNAMIC_LIBRARY); fi
 	( cd $(INSTALL_PREFIX)$(libdir) ; ln -sf libpri.so.$(SONAME) libpri.so)
 	install -m 644 $(STATIC_LIBRARY) $(INSTALL_PREFIX)$(libdir)
 	if test $$(id -u) = 0; then $(LDCONFIG) $(LDCONFIG_FLAGS) $(INSTALL_PREFIX)$(libdir); fi
@@ -132,6 +179,9 @@
 pridump: pridump.o
 	$(CC) -o pridump pridump.o -L. -lpri $(CFLAGS)
 
+rosetest: rosetest.o
+	$(CC) -o rosetest rosetest.o -L. -lpri $(CFLAGS)
+
 MAKE_DEPS= -MD -MT $@ -MF .$(subst /,_,$@).d -MP
 
 %.o: %.c

=== debian/changelog ===
libpri (1.4.11.3-1~bpo50+1) lenny-backports; urgency=low

  * backport to lenny

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Mon, 20 Sep 2010 15:04:18 +0200

libpri (1.4.11.3-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Tzafrir Cohen <tzafrir@debian.org>  Wed, 30 Jun 2010 00:53:30 +0300

=== debian/control ===
Source: libpri
Priority: optional
Section: libs
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Tzafrir Cohen <tzafrir@debian.org>, Faidon Liambotis <paravoid@debian.org>, Christoph Martin <christoph.martin@uni-mainz.de>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.4
Homepage: http://www.asterisk.org/
Vcs-Svn: svn://svn.debian.org/pkg-voip/libpri/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/libpri/?op=log

Package: libpri-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libpri1.4 (= ${binary:Version})
Description: Primary Rate ISDN specification development files
 Development files for the C implementation of the Primary Rate ISDN
 specification.
 .
 It was based on the Bellcore specification SR-NWT-002343 for National
 ISDN.  As of May 12, 2001, it has been tested work with NI-2, Nortel
 DMS-100, and Lucent 5E Custom protocols on switches from Nortel and Lucent.
 
Package: libpri1.4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Primary Rate ISDN specification library
 C implementation of the Primary Rate ISDN specification.  It was
 based on the Bellcore specification SR-NWT-002343 for National ISDN.  As of
 May 12, 2001, it has been tested work with NI-2, Nortel DMS-100, and Lucent
 5E Custom protocols on switches from Nortel and Lucent

## libpri 1.4.12

=== Makefile ===
--- 
+++ 
@@ -24,9 +24,6 @@
 # Uncomment if you want libpri not send PROGRESS_INDICATOR w/ALERTING
 #ALERTING=-DALERTING_NO_PROGRESS
 
-# Uncomment if you want libpri to count number of Q921/Q931 sent/received
-#LIBPRI_COUNTERS=-DLIBPRI_COUNTERS
-
 CC=gcc
 GREP=grep
 AWK=awk
@@ -47,16 +44,21 @@
 	q921.o \
 	prisched.o \
 	q931.o \
+	pri_aoc.o \
+	pri_cc.o \
 	pri_facility.o \
 	asn1_primitive.o \
 	rose.o \
 	rose_address.o \
 	rose_etsi_aoc.o \
+	rose_etsi_cc.o \
 	rose_etsi_diversion.o \
 	rose_etsi_ect.o \
+	rose_etsi_mwi.o \
 	rose_other.o \
 	rose_q931.o \
 	rose_qsig_aoc.o \
+	rose_qsig_cc.o \
 	rose_qsig_ct.o \
 	rose_qsig_diversion.o \
 	rose_qsig_mwi.o \
@@ -68,27 +70,40 @@
 	q921.lo \
 	prisched.lo \
 	q931.lo \
+	pri_aoc.lo \
+	pri_cc.lo \
 	pri_facility.lo \
 	asn1_primitive.lo \
 	rose.lo \
 	rose_address.lo \
 	rose_etsi_aoc.lo \
+	rose_etsi_cc.lo \
 	rose_etsi_diversion.lo \
 	rose_etsi_ect.lo \
+	rose_etsi_mwi.lo \
 	rose_other.lo \
 	rose_q931.lo \
 	rose_qsig_aoc.lo \
+	rose_qsig_cc.lo \
 	rose_qsig_ct.lo \
 	rose_qsig_diversion.lo \
 	rose_qsig_mwi.lo \
 	rose_qsig_name.lo \
 	version.lo
-CFLAGS=-Wall -Werror -Wstrict-prototypes -Wmissing-prototypes -g -fPIC $(ALERTING) $(LIBPRI_COUNTERS) $(LIBPRI_OPT)
+CFLAGS=-Wall -Werror -Wstrict-prototypes -Wmissing-prototypes -g -fPIC $(ALERTING) $(LIBPRI_OPT) $(COVERAGE_CFLAGS)
 INSTALL_PREFIX=$(DESTDIR)
 INSTALL_BASE=/usr
 libdir?=$(INSTALL_BASE)/lib
-SOFLAGS:=-Wl,-h$(DYNAMIC_LIBRARY)
-LDCONFIG = /sbin/ldconfig
+ifneq ($(findstring Darwin,$(OSARCH)),)
+  SOFLAGS=-dynamic -bundle -Xlinker -macosx_version_min -Xlinker 10.4 -Xlinker -undefined -Xlinker dynamic_lookup -force_flat_namespace
+  ifeq ($(shell /usr/bin/sw_vers -productVersion | cut -c1-4),10.6)
+    SOFLAGS+=/usr/lib/bundle1.o
+  endif
+  LDCONFIG=/usr/bin/true
+else
+  SOFLAGS=-shared -Wl,-h$(DYNAMIC_LIBRARY) $(COVERAGE_LDFLAGS)
+  LDCONFIG = /sbin/ldconfig
+endif
 ifneq (,$(findstring X$(OSARCH)X, XLinuxX XGNU/kFreeBSDX XGNUX))
 LDCONFIG_FLAGS=-n
 else
@@ -116,7 +131,13 @@
 PROC=ultrasparc
 LIBPRI_OPT = -mtune=$(PROC) -O3 -pipe -fomit-frame-pointer -mcpu=v8
 else
-LIBPRI_OPT = -O2
+  ifneq ($(CODE_COVERAGE),)
+    LIBPRI_OPT=
+    COVERAGE_CFLAGS=-ftest-coverage -fprofile-arcs
+    COVERAGE_LDFLAGS=-ftest-coverage -fprofile-arcs
+  else
+    LIBPRI_OPT=-O2
+  endif
 endif
 
 ifeq ($(CPUARCH),i686)
@@ -168,7 +189,7 @@
 	rm -f $(INSTALL_PREFIX)$(INSTALL_BASE)/include/libpri.h
 
 pritest: pritest.o
-	$(CC) -o pritest pritest.o -L. -lpri -lzap $(CFLAGS)
+	$(CC) -o pritest pritest.o -L. -lpri $(CFLAGS)
 
 testprilib.o: testprilib.c
 	$(CC) $(CFLAGS) -D_REENTRANT -D_GNU_SOURCE -o $@ -c $<
@@ -195,7 +216,7 @@
 	ranlib $(STATIC_LIBRARY)
 
 $(DYNAMIC_LIBRARY): $(DYNAMIC_OBJS)
-	$(CC) -shared $(SOFLAGS) -o $@ $(DYNAMIC_OBJS)
+	$(CC) $(SOFLAGS) -o $@ $(DYNAMIC_OBJS)
 	$(LDCONFIG) $(LDCONFIG_FLAGS) .
 	ln -sf libpri.so.$(SONAME) libpri.so

=== debian/changelog ===
libpri (1.4.12-2) unstable; urgency=low

  * wheezey polish
  * Update Standards-Version: 3.9.3 - no changes
  * Refresh get-orig-source target
  * debian/compat -> 9 
  * Fix spelling-error-in-binary usr/lib/libpri.so.1.4 Wierd Weird

 -- Mark Purcell <msp@debian.org>  Sun, 24 Jun 2012 21:16:16 +1000

libpri (1.4.12-1) unstable; urgency=low

  * New upstream release. 
    - Drop patch gcc-4.6-werror, not needed anymore.
    - Adapt patch enable-gcc-optimizations.
    - Updated symbols file with (a lot of) new symbols.

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 26 Nov 2011 17:25:59 +0200

libpri (1.4.11.5-1) unstable; urgency=low

  * New upstream release.
  * Update symbols file (practically internal ones, actually).
  * Standards version 3.9.2 (no change needed).

 -- Tzafrir Cohen <tzafrir@debian.org>  Mon, 26 Sep 2011 23:56:14 +0300

libpri (1.4.11.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add gcc-4.6-werror to fix FTBFS with gcc-4.6.  Closes: #625379.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 09 Sep 2011 14:54:45 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Priority: optional
 Section: libs
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>, Tzafrir Cohen <tzafrir@debian.org>, Faidon Liambotis <paravoid@debian.org>, Christoph Martin <christoph.martin@uni-mainz.de>
-Build-Depends: debhelper (>= 7)
-Standards-Version: 3.8.4
+Uploaders: Mark Purcell <msp@debian.org>, Tzafrir Cohen <tzafrir@debian.org>, Faidon Liambotis <paravoid@debian.org>
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.3
 Homepage: http://www.asterisk.org/
 Vcs-Svn: svn://svn.debian.org/pkg-voip/libpri/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/libpri/?op=log

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

get-orig-source:
	uscan --force-download

.PHONY: get-orig-source

## libpri 1.4.14

=== Makefile ===
--- 
+++ 
@@ -10,15 +10,15 @@
 # it under the terms of the GNU General Public License as published by
 # the Free Software Foundation; either version 2 of the License, or
 # (at your option) any later version.
-# 
+#
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
-# 
+#
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 #
 #
 # Uncomment if you want libpri not send PROGRESS_INDICATOR w/ALERTING
@@ -65,43 +65,21 @@
 	rose_qsig_name.o \
 	version.o
 DYNAMIC_OBJS= \
-	copy_string.lo \
-	pri.lo \
-	q921.lo \
-	prisched.lo \
-	q931.lo \
-	pri_aoc.lo \
-	pri_cc.lo \
-	pri_facility.lo \
-	asn1_primitive.lo \
-	rose.lo \
-	rose_address.lo \
-	rose_etsi_aoc.lo \
-	rose_etsi_cc.lo \
-	rose_etsi_diversion.lo \
-	rose_etsi_ect.lo \
-	rose_etsi_mwi.lo \
-	rose_other.lo \
-	rose_q931.lo \
-	rose_qsig_aoc.lo \
-	rose_qsig_cc.lo \
-	rose_qsig_ct.lo \
-	rose_qsig_diversion.lo \
-	rose_qsig_mwi.lo \
-	rose_qsig_name.lo \
-	version.lo
-CFLAGS=-Wall -Werror -Wstrict-prototypes -Wmissing-prototypes -g -fPIC $(ALERTING) $(LIBPRI_OPT) $(COVERAGE_CFLAGS)
+	$(STATIC_OBJS)
+CFLAGS ?= -g
+CFLAGS += -Wall -Werror -Wstrict-prototypes -Wmissing-prototypes
+CFLAGS += -fPIC $(ALERTING) $(LIBPRI_OPT) $(COVERAGE_CFLAGS)
 INSTALL_PREFIX=$(DESTDIR)
 INSTALL_BASE=/usr
 libdir?=$(INSTALL_BASE)/lib
 ifneq ($(findstring Darwin,$(OSARCH)),)
-  SOFLAGS=-dynamic -bundle -Xlinker -macosx_version_min -Xlinker 10.4 -Xlinker -undefined -Xlinker dynamic_lookup -force_flat_namespace
+  SOFLAGS=$(LDFLAGS) -dynamic -bundle -Xlinker -macosx_version_min -Xlinker 10.4 -Xlinker -undefined -Xlinker dynamic_lookup -force_flat_namespace
   ifeq ($(shell /usr/bin/sw_vers -productVersion | cut -c1-4),10.6)
     SOFLAGS+=/usr/lib/bundle1.o
   endif
   LDCONFIG=/usr/bin/true
 else
-  SOFLAGS=-shared -Wl,-h$(DYNAMIC_LIBRARY) $(COVERAGE_LDFLAGS)
+  SOFLAGS=$(LDFLAGS) -shared -Wl,-h$(DYNAMIC_LIBRARY) $(COVERAGE_LDFLAGS)
   LDCONFIG = /sbin/ldconfig
 endif
 ifneq (,$(findstring X$(OSARCH)X, XLinuxX XGNU/kFreeBSDX XGNUX))
@@ -115,10 +93,12 @@
 endif
 ifeq (${OSARCH},SunOS)
 CFLAGS += -DSOLARIS -I../zaptel-solaris
-LDCONFIG = 
+LDCONFIG =
 LDCONFIG_FLAGS = \# # Trick to comment out the period in the command below
 #INSTALL_PREFIX = /opt/asterisk  # Uncomment out to install in standard Solaris location for 3rd party code
 endif
+
+UTILITIES= pridump pritest rosetest testprilib
 
 export PRIVERSION
 
@@ -145,7 +125,7 @@
 SOFLAGS += -m32
 endif
 
-all: $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)
+all: $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY) $(UTILITIES)
 
 update:
 	@if [ -d .svn ]; then \
@@ -171,37 +151,37 @@
 	install -m 644 libpri.h $(INSTALL_PREFIX)$(INSTALL_BASE)/include
 	install -m 755 $(DYNAMIC_LIBRARY) $(INSTALL_PREFIX)$(libdir)
 	#if [ -x /usr/sbin/sestatus ] && ( /usr/sbin/sestatus | grep "SELinux status:" | grep -q "enabled"); then /sbin/restorecon -v $(INSTALL_PREFIX)$(libdir)/$(DYNAMIC_LIBRARY); fi
-	( cd $(INSTALL_PREFIX)$(libdir) ; ln -sf libpri.so.$(SONAME) libpri.so)
+	( cd $(INSTALL_PREFIX)$(libdir) ; ln -sf $(DYNAMIC_LIBRARY) libpri.so)
 	install -m 644 $(STATIC_LIBRARY) $(INSTALL_PREFIX)$(libdir)
 	if test $$(id -u) = 0; then $(LDCONFIG) $(LDCONFIG_FLAGS) $(INSTALL_PREFIX)$(libdir); fi
 else
 	install -f $(INSTALL_PREFIX)$(INSTALL_BASE)/include -m 644 libpri.h
 	install -f $(INSTALL_PREFIX)$(libdir) -m 755 $(DYNAMIC_LIBRARY)
-	( cd $(INSTALL_PREFIX)$(libdir) ; ln -sf libpri.so.$(SONAME) libpri.so)
+	( cd $(INSTALL_PREFIX)$(libdir) ; ln -sf $(DYNAMIC_LIBRARY) libpri.so)
 	install -f $(INSTALL_PREFIX)$(libdir) -m 644 $(STATIC_LIBRARY)
 endif
 
 uninstall:
 	@echo "Removing Libpri"
-	rm -f $(INSTALL_PREFIX)$(libdir)/libpri.so.$(SONAME)
+	rm -f $(INSTALL_PREFIX)$(libdir)/$(STATIC_LIBRARY)
 	rm -f $(INSTALL_PREFIX)$(libdir)/libpri.so
-	rm -f $(INSTALL_PREFIX)$(libdir)/libpri.a
+	rm -f $(INSTALL_PREFIX)$(libdir)/$(DYNAMIC_LIBRARY)
 	rm -f $(INSTALL_PREFIX)$(INSTALL_BASE)/include/libpri.h
 
-pritest: pritest.o
-	$(CC) -o pritest pritest.o -L. -lpri $(CFLAGS)
+pritest: pritest.o $(STATIC_LIBRARY)
+	$(CC) -o $@ $< $(STATIC_LIBRARY) $(CFLAGS)
 
 testprilib.o: testprilib.c
-	$(CC) $(CFLAGS) -D_REENTRANT -D_GNU_SOURCE -o $@ -c $<
-
-testprilib: testprilib.o
-	$(CC) -o testprilib testprilib.o -L. -lpri -lpthread $(CFLAGS)
-
-pridump: pridump.o
-	$(CC) -o pridump pridump.o -L. -lpri $(CFLAGS)
-
-rosetest: rosetest.o
-	$(CC) -o rosetest rosetest.o -L. -lpri $(CFLAGS)
+	$(CC) $(CFLAGS) -D_REENTRANT -D_GNU_SOURCE $(MAKE_DEPS) -c -o $@ $<
+
+testprilib: testprilib.o $(STATIC_LIBRARY)
+	$(CC) -o $@ $< $(STATIC_LIBRARY) -lpthread $(CFLAGS)
+
+pridump: pridump.o $(DYNAMIC_LIBRARY)
+	$(CC) -o $@ $< -L. -lpri $(CFLAGS)
+
+rosetest: rosetest.o $(STATIC_LIBRARY)
+	$(CC) -o $@ $< $(STATIC_LIBRARY) $(CFLAGS)
 
 MAKE_DEPS= -MD -MT $@ -MF .$(subst /,_,$@).d -MP
 
@@ -218,7 +198,7 @@
 $(DYNAMIC_LIBRARY): $(DYNAMIC_OBJS)
 	$(CC) $(SOFLAGS) -o $@ $(DYNAMIC_OBJS)
 	$(LDCONFIG) $(LDCONFIG_FLAGS) .
-	ln -sf libpri.so.$(SONAME) libpri.so
+	ln -sf $(DYNAMIC_LIBRARY) libpri.so
 
 version.c: FORCE
 	@build_tools/make_version_c > $@.tmp
@@ -226,9 +206,9 @@
 	@rm -f $@.tmp
 
 clean:
-	rm -f *.o *.so *.lo *.so.$(SONAME)
-	rm -f testprilib $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)
-	rm -f pritest pridump
+	rm -f *.o *.so *.lo
+	rm -f $(STATIC_LIBRARY) $(DYNAMIC_LIBRARY)
+	rm -f $(UTILITIES)
 	rm -f .*.d
 
 .PHONY:

=== debian/changelog ===
libpri (1.4.14-1) unstable; urgency=low

  [ Tzafrir Cohen ]
  * New upstream release.
    - Patch spelling-error-in-binary removed: merged upstream.
    - Fixes passing CFLAGS and LDFLAGS from build system: Patch
      enable-gcc-optimizations reduced.
    - Symbols file update (new function pri_persistent_layer2_option).
  * Remove version.c on clean (Closes: #688765).
  * Pass flags from dpkg-buildflags to the build system This library is
    now hardened.
  * Patch disable_dahdi: disable utils that require dahdi and are not
    installed.

  [ Mark Purcell ] 
  * Update to anonscm.debian - fix vcs-field-not-canonical
  * Update Standards-Version: 3.9.4 - lintian clean

 -- Mark Purcell <msp@debian.org>  Thu, 20 Jun 2013 10:22:25 +1000

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Tzafrir Cohen <tzafrir@debian.org>, Faidon Liambotis <paravoid@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.asterisk.org/
-Vcs-Svn: svn://svn.debian.org/pkg-voip/libpri/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/libpri/?op=log
+Vcs-Svn: svn://anonscm.debian.org/pkg-voip/libpri/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/libpri/trunk/
 
 Package: libpri-dev
 Section: libdevel

=== debian/watch ===
version=3
opts=dversionmangle=s/\~dfsg//,downloadurlmangle=s/.*ref=// \
	http://downloads.asterisk.org/pub/telephony/libpri/releases/ libpri-([0-9.]*)\.tar\.gz debian svn-upgrade

## libpri 1.4.15

=== debian/changelog ===
libpri (1.4.15-1) unstable; urgency=medium

  * New upstream release
    - Symbols file update (new function pri_setup_ack).
  * Add Jeremy Lainé to uploaders.
  * Update Standards-Version: 3.9.5 - lintian clean.
  * Add upstream GPG signature check to watch file.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Tue, 17 Jun 2014 13:12:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Priority: optional
 Section: libs
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>, Tzafrir Cohen <tzafrir@debian.org>, Faidon Liambotis <paravoid@debian.org>
+Uploaders: Mark Purcell <msp@debian.org>, Tzafrir Cohen <tzafrir@debian.org>, Faidon Liambotis <paravoid@debian.org>, Jeremy Lainé <jeremy.laine@m4x.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.asterisk.org/
 Vcs-Svn: svn://anonscm.debian.org/pkg-voip/libpri/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/libpri/trunk/

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,13 @@
 #!/usr/bin/make -f
+
+# := as there's no configure script in the middle right now and we want
+#    to see explicit flags in the build log.
+CFLAGS  := $(shell dpkg-buildflags --get CFLAGS)
+CFLAGS  += $(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
+
+export CFLAGS LDFLAGS
+
 %:
 	dh $@

=== debian/watch ===
version=3
opts=dversionmangle=s/\~dfsg//,downloadurlmangle=s/.*ref=//,pgpsigurlmangle=s/$/.asc/ \
	http://downloads.asterisk.org/pub/telephony/libpri/releases/ libpri-([0-9.]*)\.tar\.gz debian svn-upgrade

## libpri 1.6.0

=== Makefile ===
--- 
+++ 
@@ -67,6 +67,7 @@
 DYNAMIC_OBJS= \
 	$(STATIC_OBJS)
 CFLAGS ?= -g
+CFLAGS += $(CPPFLAGS)
 CFLAGS += -Wall -Werror -Wstrict-prototypes -Wmissing-prototypes
 CFLAGS += -fPIC $(ALERTING) $(LIBPRI_OPT) $(COVERAGE_CFLAGS)
 INSTALL_PREFIX=$(DESTDIR)

=== debian/changelog ===
libpri (1.6.0-2) unstable; urgency=medium

  * Team upload.

  [ Tzafrir Cohen ]
  * Remove Faidon from Uploaders

  [ Guillem Jover ]
  * Fix FTBFS with GCC-10 (Closes: #957470)

 -- Bernhard Schmidt <berni@debian.org>  Mon, 23 Nov 2020 09:44:38 +0100

libpri (1.6.0-1) unstable; urgency=medium

  * New upstream release
  * compat level 10
  * Standard version 4.1.3
  * watch: a https URL
  * Remove obsolete squeeze backporting hook
  * VCS URLs: switch to git and Salsa
  * watch: replace svn-upgrade with uupdate
  * DEB_BUILD_MAINT_OPTIONS = hardening=+all
  * A PEP-5 copyrigtht file
  * typo.patch: fix a typo

 -- Tzafrir Cohen <tzafrir@debian.org>  Sun, 18 Feb 2018 23:21:36 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Priority: optional
 Section: libs
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>, Tzafrir Cohen <tzafrir@debian.org>, Faidon Liambotis <paravoid@debian.org>, Jeremy Lainé <jeremy.laine@m4x.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.5
+Uploaders: Mark Purcell <msp@debian.org>, Tzafrir Cohen <tzafrir@debian.org>, Jeremy Lainé <jeremy.laine@m4x.org>
+Build-Depends: debhelper (>= 10)
+Standards-Version: 4.1.3
 Homepage: http://www.asterisk.org/
-Vcs-Svn: svn://anonscm.debian.org/pkg-voip/libpri/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/libpri/trunk/
+Vcs-Git: https://salsa.debian.org/pkg-voip-team/libpri
+Vcs-Browser: https://salsa.debian.org/pkg-voip-team/libpri.git
 
 Package: libpri-dev
 Section: libdevel

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

env_cmd = env DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS)

# := as there's no configure script in the middle right now and we want
#    to see explicit flags in the build log.
# env: export has no effect on $(shell)
CFLAGS  := $(shell $(env_cmd) dpkg-buildflags --get CFLAGS)
CFLAGS  += $(shell $(env_cmd) dpkg-buildflags --get CPPFLAGS)
LDFLAGS := $(shell $(env_cmd) dpkg-buildflags --get LDFLAGS)

export CFLAGS LDFLAGS

%:
	dh $@

get-orig-source:
	uscan --force-download

.PHONY: get-orig-source

=== debian/watch ===
version=4
opts=dversionmangle=s/\~dfsg//,downloadurlmangle=s/.*ref=//,pgpsigurlmangle=s/$/.asc/ \
	https://downloads.asterisk.org/pub/telephony/libpri/releases/ libpri-([0-9.]*)\.tar\.gz debian uupdate
